Pular para o conteúdo principal
POST
/
api
/
v1
/
loan-products
/
{id}
/
activate
Ativar produto de empréstimo
curl --request POST \
  --url https://lender.sandbox.lerian.net/api/v1/loan-products/{id}/activate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "versionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://lender.sandbox.lerian.net/api/v1/loan-products/{id}/activate"

payload = { "versionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({versionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};

fetch('https://lender.sandbox.lerian.net/api/v1/loan-products/{id}/activate', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "createdAt": "<string>",
  "id": "<string>",
  "jurisdictionCode": "<string>",
  "loanType": "<string>",
  "name": "<string>",
  "status": "<string>",
  "currentVersionId": "<string>"
}
{
  "code": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank"
}

Autorizações

Authorization
string
header
obrigatório

JWT bearer token issued by the identity provider.

Parâmetros de caminho

id
string<uuid>
obrigatório

Loan product identifier.

Exemplo:

"550e8400-e29b-41d4-a716-446655440000"

Corpo

application/json
versionId
string<uuid>
obrigatório

Loan product version to pin on activation.

Exemplo:

"550e8400-e29b-41d4-a716-446655440001"

Resposta

OK

createdAt
string
obrigatório

Creation timestamp (RFC3339, UTC).

Exemplo:

"2026-06-14T12:00:00Z"

id
string
obrigatório

Server-assigned loan product identifier (uuid).

Exemplo:

"550e8400-e29b-41d4-a716-446655440009"

jurisdictionCode
string
obrigatório

Jurisdiction profile code (e.g. BR).

Exemplo:

"BR"

loanType
string
obrigatório

Loan product type.

Exemplo:

"personal"

name
string
obrigatório

Loan product display name.

status
string
obrigatório

Lifecycle status (e.g. draft|active).

Exemplo:

"active"

currentVersionId
string

Identifier (uuid) of the pinned active version; empty until activation.

Exemplo:

"550e8400-e29b-41d4-a716-44665544000a"